import clsx from 'clsx';
import { SVGProps } from 'react-html-props';
const LinkedinSVG = ({ className, ...props }: SVGProps) => {
  return (
    <svg
      xmlns="http://www.w3.org/2000/svg"
      width="16.762"
      height="16"
      viewBox="0 0 16.762 16"
      className={clsx('fill-current', className)}
      {...props}
    >
      <path
        d="M-1097.048-4083a.762.762,0,0,1-.762-.762v-5.333a.762.762,0,0,0-.762-.762.762.762,0,0,0-.762.762v5.333a.762.762,0,0,1-.762.762h-3.048a.762.762,0,0,1-.762-.762v-5.333a5.339,5.339,0,0,1,5.333-5.333,5.339,5.339,0,0,1,5.333,5.333v5.333a.762.762,0,0,1-.762.762Zm.762-6.1v4.572h1.524v-4.572a3.814,3.814,0,0,0-3.81-3.81,3.814,3.814,0,0,0-3.809,3.81v4.572h1.524v-4.572a2.288,2.288,0,0,1,2.286-2.285A2.288,2.288,0,0,1-1096.286-4089.1Zm-12.953,6.1a.762.762,0,0,1-.762-.762v-9.143a.762.762,0,0,1,.762-.762h3.048a.762.762,0,0,1,.762.762v9.143a.762.762,0,0,1-.762.762Zm.762-1.524h1.524v-7.619h-1.524Zm-1.524-12.19a2.289,2.289,0,0,1,2.286-2.286,2.288,2.288,0,0,1,2.286,2.286,2.288,2.288,0,0,1-2.286,2.285A2.288,2.288,0,0,1-1110-4096.714Zm1.524,0a.762.762,0,0,0,.762.761.762.762,0,0,0,.762-.761.763.763,0,0,0-.762-.763A.763.763,0,0,0-1108.476-4096.714Z"
        transform="translate(1110 4099)"
        fill="#fff"
      />
    </svg>
  );
};

export default LinkedinSVG;
